> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resource user access status 

> Get user's access status to a resource.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /resource-user-access-status/{resource_id}/{user_id}
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /resource-user-access-status/{resource_id}/{user_id}:
    get:
      tags:
        - resources
      description: Get user's access status to a resource.
      operationId: resource_user_access_status_retrieve
      parameters:
        - description: The ID of the resource.
          example: 1b978423-db0a-4037-a4cf-f79c60cb67b3
          explode: false
          in: path
          name: resource_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
        - description: The ID of the user.
          example: 29827fb8-f2dd-4e80-9576-28e31e9934ac
          explode: false
          in: path
          name: user_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
        - description: >-
            The remote ID of the access level that you wish to query for the
            resource. If omitted, the default access level remote ID value
            (empty string) is used.
          example: arn:aws:iam::590304332660:role/AdministratorAccess
          explode: true
          in: query
          name: access_level_remote_id
          required: false
          schema:
            type: string
          style: form
        - description: The pagination cursor value.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
        - description: Number of results to return per page. Default is 200.
          example: 200
          explode: true
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            maximum: 1000
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResourceUserAccessStatus'
          description: The access status reflecting the user's access to the resource.
      deprecated: true
      security:
        - BearerAuth: []
components:
  schemas:
    ResourceUserAccessStatus:
      description: >-
        # AccessStatus Object

        ### Description

        The `AccessStatus` object is used to represent the user's access to the
        resource.


        ### Usage Example

        View the `AccessStatus` for a resource/user pair to determine if the
        user has access to the resource.
      example:
        user_id: 29827fb8-f2dd-4e80-9576-28e31e9934ac
        resource_id: 1b978423-db0a-4037-a4cf-f79c60cb67b3
        expiration_date: '2022-01-23T04:56:07.000Z'
        status: AUTHORIZED
      properties:
        resource_id:
          description: The ID of the resource.
          example: 1b978423-db0a-4037-a4cf-f79c60cb67b3
          format: uuid
          type: string
        user_id:
          description: The ID of the user.
          example: 29827fb8-f2dd-4e80-9576-28e31e9934ac
          format: uuid
          type: string
        access_level:
          $ref: '#/components/schemas/ResourceAccessLevel'
        status:
          $ref: '#/components/schemas/ResourceUserAccessStatusEnum'
        expiration_date:
          description: The day and time the user's access will expire.
          example: '2022-01-23T04:56:07.000Z'
          format: date-time
          nullable: true
          type: string
      required:
        - resource_id
        - status
        - user_id
      type: object
    ResourceAccessLevel:
      description: >-
        # Access Level Object

        ### Description

        The `AccessLevel` object is used to represent the level of access that a
        principal has. The "default" access

        level is a `AccessLevel` object whose fields are all empty strings.


        ### Usage Example

        View the `AccessLevel` of a resource/user or resource/group pair to see
        the level of access granted to the resource.
      example:
        access_level_name: AdminRole
        access_level_remote_id: arn:aws:iam::590304332660:role/AdministratorAccess
      properties:
        access_level_name:
          description: The human-readable name of the access level.
          example: AdminRole
          type: string
        access_level_remote_id:
          description: The machine-readable identifier of the access level.
          example: arn:aws:iam::590304332660:role/AdministratorAccess
          type: string
      required:
        - access_level_name
        - access_level_remote_id
      type: object
    ResourceUserAccessStatusEnum:
      description: The status of the user's access to the resource.
      enum:
        - AUTHORIZED
        - REQUESTED
        - UNAUTHORIZED
      example: AUTHORIZED
      type: string
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````